[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TCustomVariantType.IsClear

Is the custom value unassigned ?

## Declaration

Source position: variants.pp line 199

`public function TCustomVariantType.IsClear(`
`const V: tvardata`
`):Boolean; virtual;`

## Arguments

`V` |  | Custom variant to test

## Function result

True if the custom variant V is unassigned

## Description

IsClear must be overridden to decide whether the custom variant V is equivalent to varClear (unassigned) value. The VarIsClear function calls this method to decide whether a custom variant is unassigned.

The TCustomVariantType implementation of IsClear always returns False.

## See also

VarIsClear |  | Check if a variant is clear